Bug 67911 - popt 1.6.4 does not compile with mingw32 due to getuid/geteuid
popt 1.6.4 does not compile with mingw32 due to getuid/geteuid
Product: Red Hat Linux
Classification: Retired
Component: popt (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-07-04 03:27 EDT by Matthew Mueller
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-04 03:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fix (1.35 KB, patch)
2002-07-04 03:28 EDT, Matthew Mueller
no flags Details | Diff

  None (edit)
Description Matthew Mueller 2002-07-04 03:27:16 EDT
Description of Problem:
getuid/geteuid don't exist on windows.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. CC=i586-mingw32msvc-gcc CXX=i586-mingw32msvc-g++ ./configure --build=i386-linux --host=i586-mingw32msvc
2. make

Actual Results:
/bin/sh ./libtool --mode=link i586-mingw32msvc-gcc  -g -O2  -o test1.exe -all-static test1.o libpopt.la
i586-mingw32msvc-gcc -g -O2 -o test1.exe -static test1.o  ./.libs/libpopt.a
./.libs/libpopt.a(poptconfig.o): In function `poptReadDefaultConfig':
/x/donut/nb/src/popt-1.6.4/poptconfig.c:172: undefined reference to `getuid'
/x/donut/nb/src/popt-1.6.4/poptconfig.c:172: undefined reference to `geteuid'
make[2]: *** [test1.exe] Error 1

Expected Results:
No errors.

Additional Information:
Simple fix, just check for getuid and geteuid in configure.  See attached patch.
Comment 1 Matthew Mueller 2002-07-04 03:28:46 EDT
Created attachment 63644 [details]
Comment 2 Jeff Johnson 2002-07-13 15:21:30 EDT
Patch applied in CVS, should be in rpm-4.1-0.48 sources.

Note You need to log in before you can comment on or make changes to this bug.